com.genesyslab.wfm8.API.service.scheduleTrade852

## Class SchTradeProposal

- java.lang.Object
- - com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeProposal

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeProposal
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Trade Proposal
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId`
    `protected int` | `gswPersonalAgentId`
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `wmComments`
    `protected java.util.List<java.lang.Double>` | `wmDays`
    `protected int` | `wmDaysNSizeIs`
    `protected double` | `wmExpireDateTime`
    `protected int` | `wmHandshakeType`
    `protected int` | `wmPaidMinutes`
    `protected int` | `wmSiteId`
    `protected int` | `wmStatus`
    `protected double` | `wmSubmitDateTime`
    `protected int` | `wmTradeProposalId`
    `protected java.util.List<SchTradeResponse>` | `wmTradeResponses`
    `protected int` | `wmTradeResponsesNSizeIs`
    `protected int` | `wmType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeProposal()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getGswPersonalAgentId()` Gets the value of the gswPersonalAgentId property.
    `java.lang.String` | `getWmComments()` Gets the value of the wmComments property.
    `java.util.List<java.lang.Double>` | `getWmDays()` Gets the value of the wmDays property.
    `int` | `getWmDaysNSizeIs()` Gets the value of the wmDaysNSizeIs property.
    `double` | `getWmExpireDateTime()` Gets the value of the wmExpireDateTime property.
    `int` | `getWmHandshakeType()` Gets the value of the wmHandshakeType property.
    `int` | `getWmPaidMinutes()` Gets the value of the wmPaidMinutes property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmStatus()` Gets the value of the wmStatus property.
    `double` | `getWmSubmitDateTime()` Gets the value of the wmSubmitDateTime property.
    `int` | `getWmTradeProposalId()` Gets the value of the wmTradeProposalId property.
    `java.util.List<SchTradeResponse>` | `getWmTradeResponses()` Gets the value of the wmTradeResponses property.
    `int` | `getWmTradeResponsesNSizeIs()` Gets the value of the wmTradeResponsesNSizeIs property.
    `int` | `getWmType()` Gets the value of the wmType property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setGswPersonalAgentId(int value)` Sets the value of the gswPersonalAgentId property.
    `void` | `setWmComments(java.lang.String value)` Sets the value of the wmComments property.
    `void` | `setWmDays(java.util.List<java.lang.Double> wmDays)` Sets the value of the wmDays property.
    `void` | `setWmDaysNSizeIs(int value)` Sets the value of the wmDaysNSizeIs property.
    `void` | `setWmExpireDateTime(double value)` Sets the value of the wmExpireDateTime property.
    `void` | `setWmHandshakeType(int value)` Sets the value of the wmHandshakeType property.
    `void` | `setWmPaidMinutes(int value)` Sets the value of the wmPaidMinutes property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStatus(int value)` Sets the value of the wmStatus property.
    `void` | `setWmSubmitDateTime(double value)` Sets the value of the wmSubmitDateTime property.
    `void` | `setWmTradeProposalId(int value)` Sets the value of the wmTradeProposalId property.
    `void` | `setWmTradeResponses(java.util.List<SchTradeResponse> wmTradeResponses)` Sets the value of the wmTradeResponses property.
    `void` | `setWmTradeResponsesNSizeIs(int value)` Sets the value of the wmTradeResponsesNSizeIs property.
    `void` | `setWmType(int value)` Sets the value of the wmType property.
    `java.lang.String` | `toString()`
    `SchTradeProposal` | `withGswAgentId(int value)`
    `SchTradeProposal` | `withGswPersonalAgentId(int value)`
    `SchTradeProposal` | `withWmComments(java.lang.String value)`
    `SchTradeProposal` | `withWmDays(java.util.Collection<java.lang.Double> values)`
    `SchTradeProposal` | `withWmDays(java.lang.Double... values)`
    `SchTradeProposal` | `withWmDaysNSizeIs(int value)`
    `SchTradeProposal` | `withWmExpireDateTime(double value)`
    `SchTradeProposal` | `withWmHandshakeType(int value)`
    `SchTradeProposal` | `withWmPaidMinutes(int value)`
    `SchTradeProposal` | `withWmSiteId(int value)`
    `SchTradeProposal` | `withWmStatus(int value)`
    `SchTradeProposal` | `withWmSubmitDateTime(double value)`
    `SchTradeProposal` | `withWmTradeProposalId(int value)`
    `SchTradeProposal` | `withWmTradeResponses(java.util.Collection<SchTradeResponse> values)`
    `SchTradeProposal` | `withWmTradeResponses(SchTradeResponse... values)`
    `SchTradeProposal` | `withWmTradeResponsesNSizeIs(int value)`
    `SchTradeProposal` | `withWmType(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmTradeProposalId

          protected int wmTradeProposalId

    - #### wmSiteId

          protected int wmSiteId

    - #### gswAgentId

          protected int gswAgentId

    - #### wmType

          protected int wmType

    - #### gswPersonalAgentId

          protected int gswPersonalAgentId

    - #### wmHandshakeType

          protected int wmHandshakeType

    - #### wmSubmitDateTime

          protected double wmSubmitDateTime

    - #### wmExpireDateTime

          protected double wmExpireDateTime

    - #### wmStatus

          protected int wmStatus

    - #### wmComments

          protected java.lang.String wmComments

    - #### wmPaidMinutes

          protected int wmPaidMinutes

    - #### wmDaysNSizeIs

          protected int wmDaysNSizeIs

    - #### wmDays

          protected java.util.List<java.lang.Double> wmDays

    - #### wmTradeResponsesNSizeIs

          protected int wmTradeResponsesNSizeIs

    - #### wmTradeResponses

          protected java.util.List<SchTradeResponse> wmTradeResponses

  - ### Constructor Detail

    - #### SchTradeProposal

          public SchTradeProposal()

  - ### Method Detail

    - #### getWmTradeProposalId

          public int getWmTradeProposalId()

      Gets the value of the wmTradeProposalId property.

    - #### setWmTradeProposalId

          public void setWmTradeProposalId(int value)

      Sets the value of the wmTradeProposalId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmType

          public int getWmType()

      Gets the value of the wmType property.

    - #### setWmType

          public void setWmType(int value)

      Sets the value of the wmType property.

    - #### getGswPersonalAgentId

          public int getGswPersonalAgentId()

      Gets the value of the gswPersonalAgentId property.

    - #### setGswPersonalAgentId

          public void setGswPersonalAgentId(int value)

      Sets the value of the gswPersonalAgentId property.

    - #### getWmHandshakeType

          public int getWmHandshakeType()

      Gets the value of the wmHandshakeType property.

    - #### setWmHandshakeType

          public void setWmHandshakeType(int value)

      Sets the value of the wmHandshakeType property.

    - #### getWmSubmitDateTime

          public double getWmSubmitDateTime()

      Gets the value of the wmSubmitDateTime property.

    - #### setWmSubmitDateTime

          public void setWmSubmitDateTime(double value)

      Sets the value of the wmSubmitDateTime property.

    - #### getWmExpireDateTime

          public double getWmExpireDateTime()

      Gets the value of the wmExpireDateTime property.

    - #### setWmExpireDateTime

          public void setWmExpireDateTime(double value)

      Sets the value of the wmExpireDateTime property.

    - #### getWmStatus

          public int getWmStatus()

      Gets the value of the wmStatus property.

    - #### setWmStatus

          public void setWmStatus(int value)

      Sets the value of the wmStatus property.

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the value of the wmComments property.
      Returns:
        possible object is `String`

    - #### setWmComments

          public void setWmComments(java.lang.String value)

      Sets the value of the wmComments property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmPaidMinutes

          public int getWmPaidMinutes()

      Gets the value of the wmPaidMinutes property.

    - #### setWmPaidMinutes

          public void setWmPaidMinutes(int value)

      Sets the value of the wmPaidMinutes property.

    - #### getWmDaysNSizeIs

          public int getWmDaysNSizeIs()

      Gets the value of the wmDaysNSizeIs property.

    - #### setWmDaysNSizeIs

          public void setWmDaysNSizeIs(int value)

      Sets the value of the wmDaysNSizeIs property.

    - #### getWmDays

          public java.util.List<java.lang.Double> getWmDays()

      Gets the value of the wmDays property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmDays property.

      For example, to add a new item, do as follows:

              getWmDays().add(newItem);

      Objects of the following type(s) are allowed in the list `Double`

    - #### getWmTradeResponsesNSizeIs

          public int getWmTradeResponsesNSizeIs()

      Gets the value of the wmTradeResponsesNSizeIs property.

    - #### setWmTradeResponsesNSizeIs

          public void setWmTradeResponsesNSizeIs(int value)

      Sets the value of the wmTradeResponsesNSizeIs property.

    - #### getWmTradeResponses

          public java.util.List<SchTradeResponse> getWmTradeResponses()

      Gets the value of the wmTradeResponses property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmTradeResponses property.

      For example, to add a new item, do as follows:

              getWmTradeResponses().add(newItem);

      Objects of the following type(s) are allowed in the list `SchTradeResponse`

    - #### withWmTradeProposalId

          public SchTradeProposal withWmTradeProposalId(int value)

    - #### withWmSiteId

          public SchTradeProposal withWmSiteId(int value)

    - #### withGswAgentId

          public SchTradeProposal withGswAgentId(int value)

    - #### withWmType

          public SchTradeProposal withWmType(int value)

    - #### withGswPersonalAgentId

          public SchTradeProposal withGswPersonalAgentId(int value)

    - #### withWmHandshakeType

          public SchTradeProposal withWmHandshakeType(int value)

    - #### withWmSubmitDateTime

          public SchTradeProposal withWmSubmitDateTime(double value)

    - #### withWmExpireDateTime

          public SchTradeProposal withWmExpireDateTime(double value)

    - #### withWmStatus

          public SchTradeProposal withWmStatus(int value)

    - #### withWmComments

          public SchTradeProposal withWmComments(java.lang.String value)

    - #### withWmPaidMinutes

          public SchTradeProposal withWmPaidMinutes(int value)

    - #### withWmDaysNSizeIs

          public SchTradeProposal withWmDaysNSizeIs(int value)

    - #### withWmDays

          public SchTradeProposal withWmDays(java.lang.Double... values)

    - #### withWmDays

          public SchTradeProposal withWmDays(java.util.Collection<java.lang.Double> values)

    - #### withWmTradeResponsesNSizeIs

          public SchTradeProposal withWmTradeResponsesNSizeIs(int value)

    - #### withWmTradeResponses

          public SchTradeProposal withWmTradeResponses(SchTradeResponse... values)

    - #### withWmTradeResponses

          public SchTradeProposal withWmTradeResponses(java.util.Collection<SchTradeResponse> values)

    - #### setWmDays

          public void setWmDays(java.util.List<java.lang.Double> wmDays)

      Sets the value of the wmDays property.
      Parameters:
        `wmDays` - allowed object is `Double`

    - #### setWmTradeResponses

          public void setWmTradeResponses(java.util.List<SchTradeResponse> wmTradeResponses)

      Sets the value of the wmTradeResponses property.
      Parameters:
        `wmTradeResponses` - allowed object is `SchTradeResponse`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.